import { IconCrown, IconWind, IconPencil } from "@tabler/icons-react"

const questionsClassic = [
  { text: "Qui organiserait le mieux des vacances ?", type: "text"},
  { text: "Qui serait plus susceptible de vivre à Paris", type: "text"},
  { text: "Qui est le/la plus gourmand·e ?", type: "text"},
  { text: "Qui a vote le plus à droite ?", type: "text"},
  { text: "Qui cuisine le mieux ?", type: "text"},
  { text: "Qui pourrait passer son temps à dormir ?", type: "text"},
  { text: "Qui est la plus petite tasse ?", type: "text"},
  { text: "Qui est le/la plus sportif·ve ?", type: "text"},
  { text: "Qui a le meilleur sens de l'humour ?", type: "text"},
  { text: "Qui est le/la plus ponctuel·le ?", type: "text"},
  { text: "Qui est le/la plus aventureux·se ?", type: "text"},
  { text: "Qui cuisine le mieux ?", type: "text"},
  { text: "Qui a le plus de connaissances en musique ?", type: "text"},
  { text: "Qui est le/la plus artistique ?", type: "text"},
  { text: "Qui est le/la plus sociable ?", type: "text"},
  { text: "Qui est le/la plus compétitif·ve ?", type: "text"},
  { text: "Qui est le/la plus susceptible de devenir célèbre ?", type: "text"},
  { text: "Qui est le/la plus généreux·se ?", type: "text"},
  { text: "Qui a le plus de chances de voyager dans l'espace ?", type: "text"},
  { text: "Qui a les meilleures compétences en survie ?", type: "text"},
  { text: "Qui a le plus d'animaux de compagnie ?", type: "text"},
  { text: "Qui est le/la plus organisé·e ?", type: "text"},
  { text: "Qui est le/la plus romantique ?", type: "text"},
  { text: "Qui est le/la plus économe ?", type: "text"},
  { text: "Qui a le plus de style vestimentaire ?", type: "text"},
  { text: "Qui est le/la plus fêtard·e ?", type: "text"},
  { text: "Qui a le plus de talents cachés ?", type: "text"},
  { text: "Qui est le/la plus technophile ?", type: "text"},
  { text: "Qui est le/la plus écolo ?", type: "text"},
  { text: "Qui est le/la plus doué·e pour les langues étrangères ?", type: "text"},
  { text: "Qui a le plus de chances de gagner un marathon ?", type: "text"},
  { text: "Qui est le/la plus passionné·e de lecture ?", type: "text"},
  { text: "Qui est le/la plus doué·e pour le bricolage ?", type: "text"},
  { text: "Qui est le/la plus susceptible de réussir en affaires ?", type: "text"},
  { text: "Qui a le plus de connaissances en cinéma ?", type: "text"},
  { text: "Qui est le/la plus spirituel·le ?", type: "text"},
  { text: "Qui est le/la plus susceptible de vivre à l'étranger ?", type: "text"},
  { text: "Qui est le/la plus drôle ?", type: "text"},
  { text: "Qui est le/la plus susceptible de participer à une émission de télé-réalité ?", type: "text"},
  { text: "Qui a le plus de patience ?", type: "text"},
  { text: "Qui est le/la plus passionné·e de jeux vidéo ?", type: "text"},
  { text: "Qui est le/la plus susceptible de devenir un·e chef·fe renommé·e ?", type: "text"},
  { text: "Qui est le/la plus doué·e pour les jeux de société ?", type: "text"},
  { text: "Qui a le plus de connaissances historiques ?", type: "text"},
  { text: "Qui est le/la plus passionné·e de jardinage ?", type: "text"},
  { text: "Qui a les meilleurs talents d'acteur·rice ?", type: "text"},
]

const questionsLeVent = [
  { text: "Qui va sauter dans la piscine ?", type: "text"},
  { text: "Qui date le plus âgé ?", type: "text"},
  { text: "Qui est le/la plus flexible avec démonstration ?", type: "text"},
  { text: "Qui va faire un striptease ?", type:"text"},
  { text: "Qui sera la/le pire parent ?", type:"text"},
  { text: "Qui est le/la plus alcoolique ?", type:"text"},
  { text: "Qui serait capable de chier dans la seine ?", type:"text"},
  { text: "Qui va montrer son dernier message envoyé ?", type:"photo"},
  { text: "Qui va faire une roulette de photos ?", type:"text"},
  { text: "Qui a déjà bouffé les deux boules d'un mec ?", type:"text"},
  { text: "Qui va nous décrire son crush ?", type: "text"},
  { text: "Qui est la/le plus addict ?", type: "text"},
  { text: "Qui est le/la plus croquant·e ?", type: "text"},
  { text: "Qui s'auto-suce le plus ?", type: "text"},
  { text: "Qui va prendre une fessée avec la tongue de l'archi Vergnaud ?", type: "text"},
  { text: "Qui est le/la plus à droite ?", type: "text"},
  { text: "Qui conduit le mieux ?", type: "text"},
  { text: "Qui gagne au bras de fer ? (Preuve)", type: "text"},
  { text: "Qui va faire une roulade ?", type: "text"},
  { text: "Qui est le/la meilleur·e menteur·euse ?", type: "text"},
  { text: "Qui rikou ?", type: "text"},
  { text: "Qui va boire un shot d'huile ?", type: "text"},
  { text: "Qui va manger une cuillère a soupe de mayonnaise ?", type: "text"},
  { text: "Qui va choisir ce que l'autre va manger ?", type: "text"},
  { text: "Qui va nous organiser les prochaines vacances ?", type: "text"},
  { text: "Qui a la plus belle fesse ?", type: "text"},
  { text: "Qui a le plus haut bodycount ?", type: "text"},
  { text: "Qui va imiter Nicolas Pham ?", type: "text"},
  { text: "Qui va dire vinaigrette sans Vi ?", type: "text"},
  { text: "Qui va faire son âge divisé par deux en pompes ?", type: "text"},
  { text: "Qui va faire l'intro pour le dernier tiktok ?", type: "text"},
  { text: "Qui va faire une photo sexy avec son/sa voisin·e de droite ?", type: "photo"},
  { text: "Qui va brouter de l'herbe ?", type: "text"},
  { text: "Qui va boire un Ricard piscine ?", type: "text"},
  { text: "Qui est susceptible de se marier ?", type: "text"},
  { text: "À qui donneriez vous vos enfants ?", type: "text"},
  { text: "Qui serait le/la meilleur·e DDP ?", type: "text"},
  { text: "À qui tu te confierais le plus ?", type: "text"},
  { text: "Qui est le/la plus béru·e ?", type: "text"},
  { text: "Qui est le/la plus kinky ?", type: "text"},
  { text: "Qui va nous chanter le menu ?", type: "text"},
  { text: "Qui lance un monôme tout nu ?", type: "text"},
  { text: "Qui est le/la plus rapide ?", type: "text"},
  { text: "Qui est le/la plus susceptible d'être célèbre ?", type: "text"},
  { text: "Qui est le/la plus romantique ?", type: "text"},
  { text: "Qui va raconter la chose la plus folle de sa vie ?", type: "text"},
  { text: "Qui se masturbe le plus ?", type: "text"},
  { text: "Qui est le/la plus gros·se fan de star wars ?", type: "text"},
  { text: "Qui a pleuré en dernier ?", type: "text"},
]

export const playModes = [
  { name: "Classic", icon: IconCrown, questions: questionsClassic },
  { name: "Le vent", icon: IconWind, questions: questionsLeVent},
  { name: "Custom", icon: IconPencil, questions: []},
]

export function getRandomQuestion(mode: any, alreadyDone: any = [], customQuestions: any){
  let questionList = mode.questions
  if(mode.name == "Custom") {
    questionList = customQuestions
  }
  let questionIndex = Math.floor(Math.random() * questionList.length)
  while(alreadyDone.includes(questionIndex)){
    questionIndex = Math.floor(Math.random() * questionList.length)
  }
  return {alreadyDone: [...alreadyDone, questionIndex], question: questionList[questionIndex]}
}
